package main

import (
	"strings"
	"time"
)

const (
	VM370_DATETIME_FMT = "15:04:05 MST Monday 01/02/06"
	VM370_TIME_FMT     = "15:04:05"
)

func mvs() {
	log := New(WithDelay(200, true))
	log.Info("STC18213 00000090 $HASP100 BPXAS ON STCINRDR")
	log.Info("STC18213 00000090 $HASP373 BPXAS STARTED")
	log.Info("STC18213 80000010 IEF403I BPXAS - STARTED - TIME=13.36.36 - ASID=001F - SC53")
	log.Info("STC16316 00000291 IST663I IPS SRQ REQUEST FROM ISTAPNCP FAILED, SENSE=08570002")
	log.Info(" 	111 00000291 IST664I REAL OLU=USIBMSC.S52TOS48 REAL DLU=USIBMSC.S48TO")
	log.Info(" 	111 00000291 IST889I SID = ED0385CAAEEAAF28")
	log.Info(" 	111 00000291 IST264I REQUIRED RESOURCE S48TOS52 NOT ACTIVE")
	log.Info("  111 00000291 IST314I END")
	log.Info("STC16352 00000291 IST663I IPS SRQ REQUEST FROM ISTAPNCP FAILED, SENSE=087D0001")
	log.Info(" 	883 00000291 IST664I REAL OLU=USIBMSC.S52TOS48 ALIAS DLU=USIBMSC.S48TO")
	log.Info(" 	883 00000291 IST889I SID = ED0385CAAEEAAF28")
	log.Info(" 	883 00000291 IST314I END")
	log.Info("STC28215 00000291 IST663I IPS SRQ REQUEST TO ISTAPNCP FAILED, SENSE=08570002 86")
	log.Info(" 	864 00000291 IST664I REAL OLU=USIBMSC.S52TOS48 ALIAS DLU=USIBMSC.S48TO")
	log.Info(" 	864 00000291 IST889I SID = ED0385CAAEEAAF28")
	log.Info(" 	864 00000291 IST264I REQUIRED RESOURCE S48TOS52 NOT ACTIVE")
	log.Info(" 	864 00000291 IST891I USIBMSC.SC48M GENERATED FAILURE NOTIFICATION")
	log.Info(" 	864 00000291 IST314I END")
}

func vm370() {
	log := New(WithDelay(60, true))
	log.Info("VM/370 Community Edition Version  1 Release  1.1 05/02/21 12:49:03")
	log.Info("")
	log.Info("Now", strings.ToUpper(time.Now().Format(VM370_DATETIME_FMT)))
	log.Info("")
	log.Info("DMKCPI971I System is Uniprocessor generated")
	log.Info("DMKCPI977I Free Trap Installed")
	log.Info("")
	log.Info("DMKUDR476I System Directory loaded from volume VM50-1")
	log.Info("")
	log.Info(time.Now().Format(VM370_TIME_FMT), "AUTO LOGON   ***   OPERATOR USERS = 001  BY  SYSTEM")
	log.Info("")
	// Emit DMKCPI957I as a single multi-line message without delay, we're not emulating a 3215 - yet :-)
	log.Infof("%s\n%s\n%s",
		"DMKCPI957I Storage size = 16384 K,   Nucleus = 336 K,",
		"           Dynamic Paging = 14788 K, Trace Table = 240 K,",
		"           Free Storage = 1020 K,    Virtual=Real = 00000 K")
	log.Info("")
	log.Info(time.Now().Format(VM370_TIME_FMT), "FILES: 001 RDR,  NO PRT,  NO PUN")
	log.Info(time.Now().Format(VM370_TIME_FMT), "AUTO LOGON   ***   AUTOLOG1 USERS = 002  BY  OPERATOR")
	log.Info("")
	log.Info("DMKCPI966I Initialization complete")
	log.Info("")
	log.Info(time.Now().Format(VM370_TIME_FMT), "AUTO LOGON   ***   CPWATCH  USERS = 003  BY  AUTOLOG1")
	log.Info(time.Now().Format(VM370_TIME_FMT), "RDR  00C DRAINED   SYSTEM")
	log.Info(time.Now().Format(VM370_TIME_FMT), "PUN  00D DRAINED   SYSTEM   CLASS = P      SEP")
	log.Info(time.Now().Format(VM370_TIME_FMT), "PRT  00E DRAINED   SYSTEM   CLASS = A      SEP")
	log.Info(time.Now().Format(VM370_TIME_FMT), "PRT  00F DRAINED   SYSTEM   CLASS = A      SEP")
	log.Info(time.Now().Format(VM370_TIME_FMT), "AUTO LOGON   ***   CMSBATCH USERS = 004  BY  AUTOLOG1")
	log.Info(time.Now().Format(VM370_TIME_FMT), "AUTO LOGON   ***   WAKEUP   USERS = 005  BY  AUTOLOG1")
	log.Info(time.Now().Format(VM370_TIME_FMT), "RDR  00C STARTED   SYSTEM")
	log.Info(time.Now().Format(VM370_TIME_FMT), "PUN  00D STARTED   SYSTEM   CLASS = P      SEP")
	log.Info(time.Now().Format(VM370_TIME_FMT), "PRT  00E STARTED   SYSTEM   CLASS = A      SEP")
	log.Info(time.Now().Format(VM370_TIME_FMT), "PRT  00F STARTED   SYSTEM   CLASS = A      SEP")
	log.Info(time.Now().Format(VM370_TIME_FMT), " WNG FROM AUTOLOG1:  AUTOLOG1 DONE - LOGGING OFF")
	log.Info(time.Now().Format(VM370_TIME_FMT), "USER DSC LOGOFF AS AUTOLOG1 USERS = 004")
}

func bootVax() {
	log := New(WithDelay(200, true))
	log.Info("	-DKA300")
	log.Info("VAX/VMS Version V5.3     Major version id = 1 Minor version id = 0")
	log.Info("")
	log.Info("")
	log.Info("  ***************************************************************")
	log.Info("")
	log.Info("  VAX/VMS V5.3")
	log.Info("")
	log.Info("  You have SUCCESSFULLY installed the VMS operating system.")
	log.Info("")
	log.Info("  The system is now executing the STARTUP procedure.  Please")
	log.Info("  await the completion of STARTUP before logging into the")
	log.Info("  system (approximately three minutes).")
	log.Info("")
	log.Info("  ***************************************************************")
	log.Info("")
	log.Info("")
	log.Info("The VAX/VMS system is now executing the system startup procedure.")
	log.Info("")
	log.Info("%SET-I-NEWAUDSRV, identification of new audit server process is 00000107")
	log.Info("%LICENSE-F-EMTLDB, license database contains no license records")
	log.Info("%SYSGEN-W-OPENIN, error opening SYS$COMMON:[SYSEXE]ZSDRIVER.EXE; as input")
	log.Info("%SYSGEN-E-FNF, file not found")
	log.Info("%LICENSE-E-NOAUTH, DEC VAX-VMS use is not authorized on this node")
	log.Info("-LICENSE-F-NOLICENSE, no license is active for this software product")
	log.Info("-LICENSE-I-SYSMGR, please see your system manager")
	log.Info("Startup processing continuing...")
	log.Info("")
	log.Infof("%%%%%%%%%%%%  OPCOM  %v  %%%%%%%%%%%%", time.Now())
	log.Info("Operator _OPA0: has been enabled, username SYSTEM")
	log.Info("")
	log.Infof("%%%%%%%%%%%%  OPCOM  %v  %%%%%%%%%%%%", time.Now())
	log.Info("Operator status for operator _OPA0:")
	log.Info("CENTRAL, PRINTER, TAPES, DISKS, DEVICES, CARDS, NETWORK, CLUSTER, SECURITY,")
	log.Info("LICENSE, OPER1, OPER2, OPER3, OPER4, OPER5, OPER6, OPER7, OPER8, OPER9, OPER10,")
	log.Info("OPER11, OPER12")
	log.Info("")
	log.Infof("%%%%%%%%%%%%  OPCOM  %v  %%%%%%%%%%%%", time.Now())
	log.Info("Logfile has been initialized by operator _OPA0:")
	log.Info("Logfile is SYS$SYSROOT:[SYSMGR]OPERATOR.LOG;1")
	log.Info("")
	log.Infof("%%%%%%%%%%%%  OPCOM  %v  %%%%%%%%%%%%", time.Now())
	log.Info("Operator status for operator SYS$SYSROOT:[SYSMGR]OPERATOR.LOG;1")
	log.Info("CENTRAL, PRINTER, TAPES, DISKS, DEVICES, CARDS, NETWORK, CLUSTER, SECURITY,")
	log.Info("LICENSE, OPER1, OPER2, OPER3, OPER4, OPER5, OPER6, OPER7, OPER8, OPER9, OPER10,")
	log.Info("OPER11, OPER12")
	log.Info("")
	log.Info("")
	log.Info("The VAX/VMS system is now executing the site-specific startup commands.")
	log.Info("")
	log.Info("%SET-I-INTSET, login interactive limit = 64, current interactive value = 0")
	log.Info("28-APR-2016 21:14:01")
	log.Infof("SYSTEM       job terminated at %v", time.Now())
	log.Info("")
	log.Info("Accounting information:")
	log.Info("Buffered I/O count:         1042      Peak working set size:   673")
	log.Info("Direct I/O count:            547      Peak page file size:    2874")
	log.Info("Page faults:                5668      Mounted volumes:           0")
	log.Info("Charged CPU time:     0 00:00:28.89   Elapsed time:     0 00:01:42.76")
	log.Info("")
	log.Info("      Welcome to VAX/VMS V5.3")
}
